Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.validation.service
Class LocalValidationService

    java.lang.Object
      org.exist.validation.service.LocalValidationService

All Implemented Interfaces:
  Configurable, Service, ValidationService

public class LocalValidationService
extends java.lang.Object
implements ValidationService

XML validation service for LocalMode of eXist database.

Author:
  dizzzz

Constructor Summary
`LocalValidationService(User user, BrokerPool pool, LocalCollection collection)`

Method Summary
`java.lang.String` | `getName()` Returns the name associated with the Service instance.
`java.lang.String` | `getProperty(java.lang.String str)` Returns the value of the property identified by `name`.
`java.lang.String` | `getVersion()` Gets the Version attribute of the Service object
`void` | `setCollection(Collection collection)` Sets the Collection attribute of the Service object
`void` | `setProperty(java.lang.String str, java.lang.String str1)` Sets the property `name` to have the value provided in `value`.
`boolean` | `validateResource(java.lang.String id)` Validate specified resource.
`boolean` | `validateResource(XmldbURI id)` Validate specified resource.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalValidationService

    public LocalValidationService(User user,
                                  BrokerPool pool,
                                  LocalCollection collection)

Method Detail

### validateResource

    public boolean validateResource(java.lang.String id)
                             throws XMLDBException

  Validate specified resource.

  Specified by:
    `validateResource` in interface `ValidationService`
  Throws:
    `XMLDBException`

### validateResource

    public boolean validateResource(XmldbURI id)
                             throws XMLDBException

  Validate specified resource.

  Specified by:
    `validateResource` in interface `ValidationService`
  Throws:
    `XMLDBException`

### setCollection

    public void setCollection(Collection collection)
                       throws XMLDBException

  Description copied from interface: `Service`
  Sets the Collection attribute of the Service object

  Specified by:
    `setCollection` in interface `Service`
  Parameters:
    `collection` - The new Collection value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getName

    public java.lang.String getName()
                             throws XMLDBException

  Description copied from interface: `Service`
  Returns the name associated with the Service instance.

  Specified by:
    `getName` in interface `Service`
  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getVersion

    public java.lang.String getVersion()
                                throws XMLDBException

  Description copied from interface: `Service`
  Gets the Version attribute of the Service object

  Specified by:
    `getVersion` in interface `Service`
  Returns:
    The Version value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setProperty

    public void setProperty(java.lang.String str,
                            java.lang.String str1)
                     throws XMLDBException

  Description copied from interface: `Configurable`
  Sets the property `name` to have the value provided in `value`.

  Specified by:
    `setProperty` in interface `Configurable`
  Parameters:
    `str` - the name of the property to set.
    `str1` - the value to set for the property.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getProperty

    public java.lang.String getProperty(java.lang.String str)
                                 throws XMLDBException

  Description copied from interface: `Configurable`
  Returns the value of the property identified by `name`.

  Specified by:
    `getProperty` in interface `Configurable`
  Parameters:
    `str` - the name of the property to retrieve.
  Returns:
    the property value or null if no property exists.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.